package com.indicee.api.objects;

import java.util.Date;

public class Job extends IndiceeObject {
			
	private static final long serialVersionUID = 1L;
	
	private String id;
	private long owner;
	private Date created;
	private Date expires;
	private Date started;
	private Date finished;
	private JobStatus status;
	private int percentComplete;
	private String message;
	private String description;
	private String error;
	private String type;

	public Job() {
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public long getOwner() {
		return owner;
	}

	public void setOwner(long owner) {
		this.owner = owner;
	}

	public Date getCreated() {
		return created;
	}

	public void setCreated(Date created) {
		this.created = created;
	}

	public Date getExpires() {
		return expires;
	}

	public void setExpires(Date expires) {
		this.expires = expires;
	}

	public Date getStarted() {
		return started;
	}

	public void setStarted(Date started) {
		this.started = started;
	}

	public Date getFinished() {
		return finished;
	}

	public void setFinished(Date finished) {
		this.finished = finished;
	}

	public JobStatus getStatus() {
		return status;
	}

	public void setStatus(JobStatus status) {
		this.status = status;
	}

	public int getPercentComplete() {
		return percentComplete;
	}

	public void setPercentComplete(int percentComplete) {
		this.percentComplete = percentComplete;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getError() {
		return error;
	}

	public void setError(String error) {
		this.error = error;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}
	
	@Override
	public String toString(String newLine, String tab, String indent) {
        StringBuilder sb = new StringBuilder();
        openElement(indent, newLine, "job", sb);
        String innerIndent = indent + tab;
        
        textElement(innerIndent, newLine, "created", created, sb);
        textElement(innerIndent, newLine, "description", description, sb);
        textElement(innerIndent, newLine, "expires", expires, sb);
        textElement(innerIndent, newLine, "finished", finished, sb);
        textElement(innerIndent, newLine, "id", id, sb);
        textElement(innerIndent, newLine, "message", message, sb);
        textElement(innerIndent, newLine, "owner", owner, sb);
        textElement(innerIndent, newLine, "percent_complete", percentComplete, sb);
        textElement(innerIndent, newLine, "started", started, sb);
        textElement(innerIndent, newLine, "status", status, sb);
        textElement(innerIndent, newLine, "type", type, sb);
        
        closeElement(indent, newLine, "job", sb);
        return sb.toString();
	}
}
