package com.indicee.api.objects.contribution;

import com.indicee.api.objects.IndiceeObject;

public class Ancillary extends IndiceeObject {

	private static final long serialVersionUID = -6189554989691088852L;
	
	private String name;
	private String dateValue;
	private String stringValue;
	private Double doubleValue;
	
	public String getName() {
		return name;
	}

	public String getDateValue() {
		return dateValue;
	}

	public String getStringValue() {
		return stringValue;
	}

	public Double getDoubleValue() {
		return doubleValue;
	}

	public void setName(String name) {
		this.name = name;
	}

	public void setDateValue(String dateValue) {
		this.dateValue = dateValue;
	}

	public void setStringValue(String stringValue) {
		this.stringValue = stringValue;
	}

	public void setDoubleValue(Double doubleValue) {
		this.doubleValue = doubleValue;
	}
//	
//	public void setValue(Object object) {
//		if (object == null) {
//			setDateValue(null);
//			setStringValue(null);
//			setDoubleValue(null);
//		} else if (object instanceof Date) {
//			setDateValue((Date) object);
//		} else if (object instanceof Double) {
//			setDoubleValue((Double) object);
//		} else {
//			setStringValue(object.toString());
//		}
//	}

	@Override
	public String toString(String newLine, String tab, String indent) {
		StringBuilder sb = new StringBuilder();
        sb.append(indent).append("<ancillary>").append(newLine);
        sb.append(tab).append(indent).append("<name>").append(name).append("</name>").append(newLine);
        if (doubleValue != null) {
            sb.append(tab).append(indent).append("<double_value>").append(doubleValue).append("</double_value>").append(newLine);
        }
        if (dateValue != null) {
//        	SimpleDateFormat formatter = new SimpleDateFormat("yyyy-MM-dd hh:mm:ssz"); 
            sb.append(tab).append(indent).append("<date_value>").append(htmlEncode(dateValue)).append("</date_value>").append(newLine);
        }
        if (doubleValue != null) {
            sb.append(tab).append(indent).append("<string_value>").append(htmlEncode(stringValue)).append("</string_value>").append(newLine);
        }
        sb.append(indent).append("</ancillary>");
        return sb.toString();
	}

}
