package com.indicee.api.objects.dashboard;

import com.indicee.api.objects.IndiceeQualifiedObject;

public class Dashboard extends IndiceeQualifiedObject {

	private static final long serialVersionUID = 4944608471664681046L;

	private String description;

	private String definition;

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getDefinition() {
		return definition;
	}

	public void setDefinition(String definition) {
		this.definition = definition;
	}
	
	@Override
	public String toString(String newLine, String tab, String indent) {
		String indentAndTab = indent + tab;
		StringBuilder sb = new StringBuilder();
		sb.append(indent);
		sb.append("<dashboard>");

		sb.append(printQualifiedEntities());
		
		sb.append(indentAndTab);
		sb.append("<description>");
		sb.append(htmlEncode(description));
		sb.append("</description>");
		sb.append(newLine);
		
		sb.append(indentAndTab);
		sb.append("<definition>");
		sb.append(htmlEncode(definition));
		sb.append("</definition>");
		sb.append(newLine);
		
		sb.append(indent);
		sb.append("</dashboard>");
		return sb.toString();
	}
}
