package com.indicee.api.objects.model.binding;

import com.indicee.api.objects.IndiceeObject;

public class Mapping extends IndiceeObject {

    private static final long serialVersionUID = 6886931810537479746L;
    private String field;
    private String projection;

    public Mapping() {
    }

    public Mapping(String field, String projection) {
        this.field = field;
        this.projection = projection;
    }

    public String getField() {
        return field;
    }

    public String getProjection() {
        return projection;
    }

    public void setField(String field) {
        this.field = field;
    }

    public void setProjection(String projection) {
        this.projection = projection;
    }

    @Override
    public String toString(String newLine, String tab, String indent) {
        StringBuilder sb = new StringBuilder();
        sb.append(indent).append("<mapping>").append(newLine);
        sb.append(tab).append(indent).append("<field>").append(field).append("</field>").append(newLine);
        sb.append(tab).append(indent).append("<projection>").append(projection).append("</projection>").append(newLine);
        sb.append(indent).append("</mapping>");
        return sb.toString();
    }

}
