package com.indicee.api.objects.report;

public enum RequestStatus {
	QUEUED, 
	PROCESSING, 
	COMPLETED, 
	FAILED;
	
	public boolean done() {
		switch (this) {
		case COMPLETED:
		case FAILED:
			return true;
		default:
			return false;
		}
	}
}