package com.indicee.api.objects.report;

import java.io.Serializable;

import com.indicee.api.objects.IndiceeObject;

public class VisualizationOptions extends IndiceeObject implements Serializable {

    private static final long serialVersionUID = -72177005826574325L;
    private String chartType;
    private String options;

    public String getChartType() {
        return chartType;
    }

    public String getOptions() {
        return options;
    }

    public void setChartType(String chartType) {
        this.chartType = chartType;
    }

    public void setOptions(String options) {
        this.options = options;
    }

    @Override
    public String toString(String newLine, String tab, String indent) {
        StringBuilder sb = new StringBuilder();
        sb.append(indent).append("<vis>").append(newLine);
        if (chartType != null)
            sb.append(indent + tab).append("<chart_type>").append(chartType).append("</chart_type>").append(newLine);
        if (options != null)
            sb.append(indent + tab).append("<options>").append(options).append("</options>").append(newLine);
        sb.append(indent).append("</vis>");
        return sb.toString();
    }

}
