/*
 * Copyright (c) 2010-  Indicee Inc.    All Rights Reserved.
 * 
 * Indicee, Inc.
 * #2200-1050 West Pender Street
 * Vancouver, BC, V6E 3S7, Canada
 * 1-888-681 3840
 * 
 * This file and its contents are the property of Indicee, Inc. 
 * This file contains confidential, proprietary information, trade secrets 
 * and copyrighted expressions that are the property of Indicee, Inc
 * 
 * Any disclosure, reproduction, sale or license of all or any part 
 * of the information or expression contained in this file is 
 * prohibited under law and may be subject to criminal penalties.
 * 
 * If you are not an employee of Indicee, or otherise authorized in writing 
 * by Indicee to process this file, then please contact Indicee immediately
 * at the address above.
 * 
 */
package com.indicee.api.exceptions;

/**
 * An exception that gets thrown when trying to create a {@link QualifiedName}
 * with an invalid string form.
 * 
 * @author Doug Janzen
 */
public class QualifiedNameSyntaxException extends RuntimeException {

    private static final long serialVersionUID = -2411528326332674453L;

    public QualifiedNameSyntaxException() {
        super();
    }

    public QualifiedNameSyntaxException(String message, Throwable cause) {
        super(message, cause);
    }

    public QualifiedNameSyntaxException(String message) {
        super(message);
    }

    public QualifiedNameSyntaxException(Throwable cause) {
        super(cause);
    }

}
