package com.indicee.api.objects;

public enum JobStatus {
	Queued(true),
	Processing(true),
	Failed(false),
	Cancelled(false),
	Expired(false),
	Succeeded(false);
	
	private final boolean inProgress;
	
	private JobStatus(boolean inProgress) {
		this.inProgress = inProgress;
	}
	
	public boolean isInProgress() {
		return inProgress;
	}
}
