package com.indicee.api.objects.auth;

import com.indicee.api.objects.IndiceeObject;

public class Consumer extends IndiceeObject {

    private static final long serialVersionUID = 3381436161193993507L;
    private String description;
    private String key;
    private String name;
    private String secret;
    private String website;

    public String getDescription() {
        return description;
    }

    public String getKey() {
        return key;
    }

    public String getName() {
        return name;
    }

    public String getSecret() {
        return secret;
    }

    public String getWebsite() {
        return website;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setSecret(String secret) {
        this.secret = secret;
    }

    public void setWebsite(String website) {
        this.website = website;
    }

    @Override
    public String toString(String newLine, String tab, String indent) {
        StringBuilder sb = new StringBuilder();
        sb.append(indent).append("<consumer>").append(newLine);
        if (name != null) {
            sb.append(tab).append(indent).append("<name>").append(name).append("</name>").append(newLine);
        }
        if (description != null) {
            sb.append(tab).append(indent).append("<description>").append(description).append("</description>").append(
                    newLine);
        }
        if (website != null) {
            sb.append(tab).append(indent).append("<website>").append(website).append("</website>").append(newLine);
        }
        if (key != null) {
            sb.append(tab).append(indent).append("<key>").append(key).append("</key>").append(newLine);
        }
        if (secret != null) {
            sb.append(tab).append(indent).append("<secret>").append(secret).append("</secret>").append(newLine);
        }
        sb.append(indent).append("</consumer>");
        return sb.toString();
    }

}
