package com.indicee.api.objects.infospace;

import com.indicee.api.objects.IndiceeObject;

public class Infospace extends IndiceeObject {


	private static final long serialVersionUID = 6133474857925781205L;
	private String name;
	private String description;
	private String version;
	private Long ownerId;
	private Long id; 
	
	public String getName() {
		return name;
	}

	public String getDescription() {
		return description;
	}

	public String getVersion() {
		return version;
	}

	public Long getOwnerId() {
		return ownerId;
	}

	public Long getId() {
		return id;
	}

	public void setName(String name) {
		this.name = name;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public void setVersion(String version) {
		this.version = version;
	}

	public void setOwnerId(Long ownerId) {
		this.ownerId = ownerId;
	}
	
	public void setId(Long id) {
		this.id = id;
	}

	@Override
	public String toString(String newLine, String tab, String indent) {
		String indentPlusTab = indent + tab;
		StringBuilder sb = new StringBuilder();
		sb.append(indent);
		sb.append("<infospace>");
		sb.append(newLine);
		
		if (id != null) {
			sb.append(indentPlusTab);
			sb.append("<id>");
			sb.append(id);
			sb.append("</id>");
			sb.append(newLine);
		}

		sb.append(indentPlusTab);
		sb.append("<name>");
		sb.append(name == null ? "" : name);
		sb.append("</name>");
		sb.append(newLine);

		sb.append(indentPlusTab);
		sb.append("<description>");
		sb.append(description == null ? "" : description);
		sb.append("</description>");
		sb.append(newLine);

		sb.append(indentPlusTab);
		sb.append("<version>");
		sb.append(version == null ? "" : version);
		sb.append("</version>");
		sb.append(newLine);

		if (ownerId != null) {
			sb.append(indentPlusTab);
			sb.append("<ownerId>");
			sb.append(ownerId);
			sb.append("</ownerId>");
			sb.append(newLine);
		}

		sb.append(indent);
		sb.append("</infospace>");
		return sb.toString();
	}
}
