package com.indicee.api.objects.report;

import java.io.Serializable;

public class QueryRequest implements Serializable {
	private static final long serialVersionUID = 1L;

	public enum Status {
		QUEUED, PROCESSING, COMPLETED, FAILED
	}

	private String requestId;
	private String status;
	
	public QueryRequest() {
	}
	
	public QueryRequest(String requestId, String status) {
		super();
		this.requestId = requestId;
		this.status = status;
	}

	public String getRequestId() {
		return requestId;
	}

	public void setRequestId(String requestId) {
		this.requestId = requestId;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}
}