package com.indicee.api.objects.report.view.filter;

import java.io.Serializable;

import com.indicee.api.objects.IndiceeObject;

public class FieldValue extends IndiceeObject implements Serializable {

	private static final long serialVersionUID = 1L;
	
	private String field;
	private String value;
	
	public FieldValue() {
		
	}
	
	public FieldValue(String field, String value) {
		super();
		this.field = field;
		this.value = value;
	}
	
	public String getField() {
		return field;
	}


	public void setField(String field) {
		this.field = field;
	}


	public String getValue() {
		return value;
	}


	public void setValue(String value) {
		this.value = value;
	}

	@Override
	public String toString(String newLine, String tab, String indent) {
		StringBuilder sb = new StringBuilder();
		sb.append(indent);
		sb.append("<fieldvalue field=\"");
		sb.append(htmlEncode(field));
		sb.append("\" value=\"");
		sb.append(htmlEncode(value));
		sb.append("\"/>");
		sb.append(newLine);
		return sb.toString();
	}
}
